Subject: Re: Another problem; Bash
From: Jason Tishler <[email-masked]>
To: [email-masked]
Cc: Cygwin <[email-masked]>
Date: Fri, 3 Aug 2001 17:45:07 -0400

In the future, please post to the Cygwin mailing list instead of sending
private email so others can benefit too.  This is especially true after an
email such as the following:

On Fri, Jul 20, 2001 at 10:46:42PM +0200, [email-masked] wrote:
> Jason Tishler <[email-masked]> wrote:
> > Please use Cygwin's setup.exe to install (all of) Cygwin.  Otherwise,
> > it is inappropriate to ask for help on the mailing list.
> 
>   You will probably allow me to use the above remark as a highly        
> instructive illustration of what I would call, to put it mildly, patent
> inawareness of argumentative circularity, if you do not, I will be no less
> thankful for your quick and immediate help, with hindsight, of course, I
> should seriously have weighed alternative options first, before bothering
> You, ... it will never happen again ...

Hmm...

Anyway, on to your most recent problem.

On Fri, Aug 03, 2001 at 01:36:32PM +0200, [email-masked] wrote:
> I have run into another problem, I have been able to pinpoint it, but cannot
> come up with a solution.
> 
> When I write the line "let i=$i+1" into a scriptfile and try to execute it, I
> get the message "let: Not found",

Does the script start with "#! /bin/sh"?  If so, then your problem is
that ash (i.e., /bin/sh under Cygwin) does not support "let".

> if I execute the same file as dotscript ". scriptfile", I get no error
> message,

The above works because bash is processing the script instead of ash
even if it contains the "#! /bin/sh" trigger line.

> it seems no RESERVED WORDS are recognized in scriptfile, if not run as dot
> script,

Not true, other keywords such as "for" are recognized by ash -- just not
"let" (and possibly other bash keywords).

> Is this standard behaviour of bash under cygwin, or is it a problem.

This is standard Cygwin ash behavior and IMO, is not a problem.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/